Doomsday Engine - Feature #1541

Joystick axis settings (sensitivity, max speed)
2011-06-28 23:32 - smoothshoes

Status: Progressed Start date: 2011-06-28
Priority: High % Done: 50%
Assignee:

Category: Enhancement

Target version: Input and game controllers

Description

Mouse has sensitivity controls for both yaw and pitch
input-mouse-x-sensi
input-mouse-y-sensi

However, joystick seems to have just one global sensitivity
input-joy-sensi

Just one global joystick sensitivity makes control difficult because of the following:

input-joy-sensi 5 works great for movements, but it's difficult to aim with
input-joy-sensi 1 works great for aiming, but movement is much too slow

what would be great is to have sensi for each axis

input-joy-x-sensi

input-joy-y-sensi

input-joy-Rx-sensi

input-joy-Rz-sensi

Also there is a pitch speed, but not a yaw speed

ctl-look-speed <- variable exist, but only has 1-5 range

ctl-turn-speed <- variable doesn't exist

For keyboard and joystick speed adjustments while zooming, like what can be done with mouse:

bind +shift "rend-camera-fov 30;input-mouse-x-sensi 12;input-mouse-y-sensi 12"
bind -shift "rend-camera-fov 120;input-mouse-x-sensi 48;input-mouse-y-sensi 48"

It would be nice to be able to do the same with joystick/keyboard, such as:

bind +shift "rend-camera-fov 30;ctl-turn-speed 12;ctl-look-speed 12"
bind -shift "rend-camera-fov 120;ctl-turn-speed 48;ctl-look-speed 48"

Thanks for your consideration, and the awesome Doomsday engine!

Labels: Customizability

Related issues:

Related to Bug #778: Gamepad usability issues Progressed 2007-06-07
Related to Feature #1229: Input plugins: generate events from connected contr... Rejected 2003-07-09
History

#1 - 2011-07-28 16:25 - smoothshoes

A great deal of it has been implemented since this was posted last year, thanks alot for adding those! | don't think turn and look max-speeds have
been, however. Sensitivity being how far you need to push the joystick to achieve max speed, then another variable declaring what that max-speed
should be, for turning. | think for one of the stable versions | couldn't get my joystick working for Doomsday, | haven't tried the latest versions yet, so
that may have been added, I'm not sure.

#2 - 2012-08-28 06:47 - smoothshoes

Important feature for the 6axis 3dMice controllers
#3 - 2012-08-28 07:09 - skyjake

Isn't this pretty much done nowadays (1.9.9)?

#4 - 2013-10-22 11:29 - skyjake
- Tags set to Input

- Subject changed from Joystick sensitivity for each axis to Joystick axis settings (sensitivity, max speed)

- Category set to Enhancement
- Status changed from New to In Progress

- % Done changed from 0 to 50

#5 - 2015-04-22 04:43 - danij
- Assignee set to danij
- Priority changed from Normal to High

- Target version set to 42

#6 - 2015-05-03 17:04 - skyjake

- Target version changed from 42 to 2.0 — Home Ul & Packages

#7 - 2016-03-27 08:15 - skyjake

- Target version changed from 2.0 — Home Ul & Packages to Input and game controllers

#8 - 2016-07-06 00:01 - skyjake

- Status changed from In Progress to Progressed

#9 - 2019-11-29 23:06 - skyjake
- Assignee deleted (danij)
